Subject: atmel_mxt_ts on droid4: powersave seems to break the driver

From: [email-masked] (Pavel Machek)
Date: Tue, 17 Apr 2018 21:39:03 +0200

Hi!

> > v4.17-rc1 on motorola droid 4.
> > 
> > If I disable/reenable touschreen with xinput, it fails, with this in
> > the logs:
> > 
> > [ 1633.749450] cpcap-usb-phy cpcap-usb-phy.0: connected to USB host
> > [ 1655.938751] atmel_mxt_ts 1-004a: __mxt_read_reg: i2c transfer
> > failed (-121)
> > [ 1655.945800] atmel_mxt_ts 1-004a: Failed to read T44 and T5 (-121)
> > [ 1663.829498] cpcap-usb-phy cpcap-usb-phy.0: connected to USB host
> > 
> > Unfortunately, xscreensaver seems to break it in a similar way.
> > 
> 
> There were a few changes to the Atmel driver, ending with commit
> 96a938aa214e965d5b4a2f10443b29cad14289b9, but they mostly dealt with
> removal of platform data and moving to generic device properties...
> Can you try bisecting this series:
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/bleung/chrome-platform.git ib-chrome-platform-input-atmel-mx-ts-platform-removal
> 

To avoid any misunderstanding, I'm not saying this is
regression from v4.16. I did some testing on v4.16 (and it was first
kernel to work there at all), but I did not have good enough userland
to play with touchscreen disable/enable.

Plus, I'm not sure this is 100% reproducible, let me play some more.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20180417/986931f0/attachment.sig>